package com.chaozhanggui.dao.system.entity;

import java.io.Serializable;
import java.util.Date;

public class TbPlussDeviceType implements Serializable {
    private Integer id;

    private String code;

    private String name;

    private String desc;

    private Date createtime;

    private Date updatetime;

    private Integer creator;

    private Integer updater;

    private String showflag;

    private String devicelogo;

    private String paycodeflag;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code == null ? null : code.trim();
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name == null ? null : name.trim();
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc == null ? null : desc.trim();
    }

    public Date getCreatetime() {
        return createtime;
    }

    public void setCreatetime(Date createtime) {
        this.createtime = createtime;
    }

    public Date getUpdatetime() {
        return updatetime;
    }

    public void setUpdatetime(Date updatetime) {
        this.updatetime = updatetime;
    }

    public Integer getCreator() {
        return creator;
    }

    public void setCreator(Integer creator) {
        this.creator = creator;
    }

    public Integer getUpdater() {
        return updater;
    }

    public void setUpdater(Integer updater) {
        this.updater = updater;
    }

    public String getShowflag() {
        return showflag;
    }

    public void setShowflag(String showflag) {
        this.showflag = showflag == null ? null : showflag.trim();
    }

    public String getDevicelogo() {
        return devicelogo;
    }

    public void setDevicelogo(String devicelogo) {
        this.devicelogo = devicelogo == null ? null : devicelogo.trim();
    }

    public String getPaycodeflag() {
        return paycodeflag;
    }

    public void setPaycodeflag(String paycodeflag) {
        this.paycodeflag = paycodeflag == null ? null : paycodeflag.trim();
    }
}